import { ElementRef, EventEmitter, SimpleChanges, OnChanges, Sanitizer } from '@angular/core';
export declare class ContenteditableDirective implements OnChanges {
    private elRef;
    private sanitizer;
    /** Model */
    contenteditableModel: string;
    contenteditableModelChange: EventEmitter<{}>;
    /** Allow (sanitized) html */
    contenteditableHtml: boolean;
    private bound;
    constructor(elRef: ElementRef, sanitizer: Sanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    onInput(trim?: boolean): void;
    onPaste(): void;
    private refreshView;
    private getProperty;
    private sanitize;
}
